﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
      <TargetFrameworks>netstandard2.0;net6.0;net8.0</TargetFrameworks>
      <AssemblyName>Tecan.Sila2.WorktableIntegration.Client</AssemblyName>
      <RootNamespace>Tecan.Sila2.WorktableIntegration.Client</RootNamespace>
      <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
  </PropertyGroup>

    <PropertyGroup>
        <OutputPath>..\..\Build\Features\Client</OutputPath>
    </PropertyGroup>

    <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
      <DocumentationFile>..\..\Build\Features\Client\Tecan.Sila2.WorktableIntegration.Client.xml</DocumentationFile>
    </PropertyGroup>

    <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
      <DocumentationFile>..\..\Build\Features\Client\Tecan.Sila2.WorktableIntegration.Client.xml</DocumentationFile>
    </PropertyGroup>

    <ItemGroup>
      <Compile Include="..\..\CommonAssemblyInfo.cs" Link="Properties\CommonAssemblyInfo.cs" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\..\Contracts\Contracts.csproj" />
      <ProjectReference Include="..\..\Framework\Framework.csproj" />
    </ItemGroup>

</Project>
